diff -X dontdiff -Nru linux-2.5.59/drivers/s390/char/tubtty.c linux-2.5.59-modfix/drivers/s390/char/tubtty.c
--- linux-2.5.59/drivers/s390/char/tubtty.c	Thu Jan 16 18:22:29 2003
+++ linux-2.5.59-modfix/drivers/s390/char/tubtty.c	Sat Jan 18 11:57:48 2003
@@ -80,6 +80,7 @@
 
 	/* Initialize for tty driver */
 	td->magic = TTY_DRIVER_MAGIC;
+	td->owner = THIS_MODULE;
 	td->driver_name = "tty3270";
 	td->name = "tty3270";
 	td->major = IBM_TTY3270_MAJOR;
@@ -189,7 +190,6 @@
 		return -ENODEV;
 	}
 
-	tub_inc_use_count();
 	if ((rc = tty3270_wait(tubp, &flags)) != 0)
 		goto do_fail;
 	if (tubp->lnopen > 0) {
@@ -231,7 +231,6 @@
 	tty3270_aid_fini(tubp);
 	tty3270_rcl_fini(tubp);
 	TUBUNLOCK(tubp->irq, flags);
-	tub_dec_use_count();
 	return rc;
 }
 
@@ -253,7 +252,6 @@
 	tty3270_rcl_fini(tubp);
 	tty3270_scl_fini(tubp);
 do_return:
-	tub_dec_use_count();
 	TUBUNLOCK(tubp->irq, flags);
 }
 
